Class BodyHandler
java.lang.Object
io.vertx.reactivex.ext.web.handler.BodyHandler
- All Implemented Interfaces:
Handler<RoutingContext>, io.vertx.lang.rx.RxDelegate
public class BodyHandler
extends Object
implements io.vertx.lang.rx.RxDelegate, Handler<RoutingContext>
A handler which gathers the entire request body and sets it on the .
It also handles HTTP file uploads and can be used to limit body sizes.
NOTE: This class has been automatically generated from the original non RX-ified interface using Vert.x codegen.
-
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final io.vertx.lang.rx.TypeArg<BodyHandler> static final longDefault max size for a request body in bytes =10485760, i.e. 10 megabytesstatic final booleanDefault value of whether uploaded files should be removed after handling the requeststatic final booleanDefault value of whether form attributes should be merged into request paramsstatic final booleanDefault value of whether to pre-allocate the body buffer size according to the content-length HTTP request headerstatic final StringDefault uploads directory on server for file uploads -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionstatic BodyHandlercreate()Create a body handler with defaults.static BodyHandlercreate(boolean handleFileUploads) Create a body handler setting if it should handle file uploads.static BodyHandlerCreate a body handler and use the given upload directory.booleanvoidhandle(RoutingContext event) Something has happened, so handle it.inthashCode()static BodyHandlernewInstance(BodyHandler arg) setBodyLimit(long bodyLimit) Set the maximum body size in bytes,-1means no limit.setDeleteUploadedFilesOnEnd(boolean deleteUploadedFilesOnEnd) Set whether uploaded files should be removed after handling the request.setHandleFileUploads(boolean handleFileUploads) Set whether file uploads will be handled.setMergeFormAttributes(boolean mergeFormAttributes) Set whether form attributes will be added to the request parameters.setPreallocateBodyBuffer(boolean isPreallocateBodyBuffer) Pre-allocate the body buffer according to the value parsed from content-length header.setUploadsDirectory(String uploadsDirectory) Set the uploads directory to use.toString()
-
Field Details
-
__TYPE_ARG
-
DEFAULT_BODY_LIMIT
public static final long DEFAULT_BODY_LIMITDefault max size for a request body in bytes =10485760, i.e. 10 megabytes- See Also:
-
DEFAULT_UPLOADS_DIRECTORY
Default uploads directory on server for file uploads- See Also:
-
DEFAULT_MERGE_FORM_ATTRIBUTES
public static final boolean DEFAULT_MERGE_FORM_ATTRIBUTESDefault value of whether form attributes should be merged into request params- See Also:
-
DEFAULT_DELETE_UPLOADED_FILES_ON_END
public static final boolean DEFAULT_DELETE_UPLOADED_FILES_ON_ENDDefault value of whether uploaded files should be removed after handling the request- See Also:
-
DEFAULT_PREALLOCATE_BODY_BUFFER
public static final boolean DEFAULT_PREALLOCATE_BODY_BUFFERDefault value of whether to pre-allocate the body buffer size according to the content-length HTTP request header- See Also:
-
-
Constructor Details
-
BodyHandler
-
BodyHandler
-
-
Method Details
-
toString
-
equals
-
hashCode
-
getDelegate
- Specified by:
getDelegatein interfaceio.vertx.lang.rx.RxDelegate
-
handle
Something has happened, so handle it.- Specified by:
handlein interfaceHandler<RoutingContext>- Parameters:
event- the event to handle
-
create
-
create
Create a body handler setting if it should handle file uploads.- Parameters:
handleFileUploads- true if files upload should be handled- Returns:
- the body handler
-
create
Create a body handler and use the given upload directory.- Parameters:
uploadDirectory- the uploads directory- Returns:
- the body handler
-
setHandleFileUploads
Set whether file uploads will be handled.- Parameters:
handleFileUploads- true if they should be handled- Returns:
- reference to this for fluency
-
setBodyLimit
Set the maximum body size in bytes,-1means no limit.- Parameters:
bodyLimit- the max size in bytes- Returns:
- reference to this for fluency
-
setUploadsDirectory
Set the uploads directory to use.- Parameters:
uploadsDirectory- the uploads directory- Returns:
- reference to this for fluency
-
setMergeFormAttributes
Set whether form attributes will be added to the request parameters.- Parameters:
mergeFormAttributes- true if they should be merged- Returns:
- reference to this for fluency
-
setDeleteUploadedFilesOnEnd
Set whether uploaded files should be removed after handling the request.- Parameters:
deleteUploadedFilesOnEnd- true if uploaded files should be removed after handling the request- Returns:
- reference to this for fluency
-
setPreallocateBodyBuffer
Pre-allocate the body buffer according to the value parsed from content-length header. The buffer is capped at 64KB- Parameters:
isPreallocateBodyBuffer-trueif body buffer is pre-allocated according to the size read from content-length Header. {code false} if body buffer is pre-allocated to 1KB, and is resized dynamically- Returns:
- reference to this for fluency
-
newInstance
-